extern double erfc(double x);
extern int num_bits(unsigned char *data, int len);

#define sqrt2 1.41421356237309504880

double data_test(unsigned char *test_data, int len)
{
	int count;
	double sobs;
	double testval;
	double f;

	/* count the number of bits, create a p-value, blah blah */
	count = num_bits(test_data, len);
	testval = (count - ((double)len*4)) * 2;
	sobs = fabs(testval) / sqrtl(len*8);
	f = sobs / sqrt2;
	return erfc(f);
}

